View Issue Details

IDProjectCategoryView StatusLast Update
0002904SymmetricDSNew Featurepublic2019-03-14 08:48
ReportertparamanandamAssigned Toelong 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.8.8 
Target Version3.10.0Fixed in Version3.10.0 
Summary0002904: Feature which allows one to exclude the Indexes getting replicated from server to clients
DescriptionNew Description: Provide a way to specify whether indexes get included or not when creating the table (by default they are included).

Original Description: I am replicating a table which contains Indexes from MSSql Server to MYSQL server. I want to exclude the index in replication. I don't find an option to exclude indexes getting replicated from server to client.

Activities

josh-a-hicks

2016-11-16 12:22

developer   ~0000907

You could use dbexport command line to generate your create table scripts. There is an option to ignore indices

Related Changesets

SymmetricDS: 3.10 857b6c49

2019-01-08 16:52:41

admin

Details Diff
0002904: Parameter to exclude the indexes in table create
0002904
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File

Issue History

Date Modified Username Field Change
2016-11-16 06:05 tparamanandam New Issue
2016-11-16 12:22 josh-a-hicks Note Added: 0000907
2018-10-17 14:29 hanes Status new => confirmed
2018-10-17 14:29 hanes Category Bug => New Feature
2018-10-17 14:29 hanes Target Version => 3.10.0
2018-10-17 14:29 hanes Summary Excluding the Indexes getting replicated from server to clients. => Feature which allows one to exclude the Indexes getting replicated from server to clients
2018-10-17 14:29 hanes Description Updated View Revisions
2018-12-05 15:00 hanes Priority normal => high
2019-01-08 16:53 elong Assigned To => elong
2019-01-08 16:53 elong Status confirmed => resolved
2019-01-08 16:53 elong Resolution open => fixed
2019-01-08 16:53 elong Fixed in Version => 3.10.0
2019-01-08 17:00 admin Changeset attached => SymmetricDS 3.10 857b6c49
2019-03-14 08:48 admin Status resolved => closed